//
//  TCGBPurchaseIAPCommon.h
//  TCGBPurchaseIAPAdapter
//
//  Created by NHN on 2016. 6. 7..
//  © NHN Corp. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <Gamebase/Gamebase.h>
#import <TIAPurchase/TIAPurchase.h>

#define GamebasePurchaseIAPAdapterVersion @"2.6.0.RC9"

@interface TCGBPurchaseIAPCommon : NSObject <TCGBPurchasable, TIAPurchaseDelegate>

#pragma mark - protocol TCGBPurchasable
- (void)initializePurchaseWithAppID:(NSString *)appID store:(NSString *)store userID:(NSString *)userId enableDebugMode:(BOOL)isDebugMode;

- (void)requestPurchaseWithItemSeq:(long)itemSeq viewController:(UIViewController *)viewController completion:(void(^)(TCGBPurchasableReceipt *purchasableReceipt, TCGBError *error))completion;

- (void)requestItemListOfNotConsumedWithCompletion:(void(^)(NSArray<TCGBPurchasableReceipt *> *purchasableReceiptArray, TCGBError *error))completion;

- (void)requestRetryTransactionWithCompletion:(void(^)(TCGBPurchasableRetryTransactionResult *transactionResult, TCGBError *error))completion;

- (void)requestItemListPurchasableWithCompletion:(void(^)(NSArray<TCGBPurchasableItem *> *purchasableItemArray, TCGBError *error))completion;

- (void)requestItemListAtIAPConsoleWithCompletion:(void(^)(NSArray<TCGBPurchasableItem *> *purchasableItemArray, TCGBError *error))completion;

+ (NSString *)versionString;

#pragma mark - protocol TIAPurchaseDelegate
- (void)requestSetPromotionIAPHandler:(void(^)(TCGBPurchasableReceipt *purchasableReceipt, TCGBError *error))handler;

@end
